# QBoxLayout Class Reference

### [com.trolltech.qt.gui package]

Inherits QLayout.

### Constructor

- void QBoxLayout(Direction arg__1, QWidget parent)

### Constructor Properties

- prototype: The QBoxLayout prototype object
- LeftToRight
- RightToLeft
- TopToBottom
- BottomToTop
- Direction( value )

### Prototype Object Properties

The QBoxLayout prototype object inherits properties from the QLayout prototype object and also has the following properties.

- void addLayout(QLayout layout, int stretch)
- void addSpacerItem(QSpacerItem spacerItem)
- void addSpacing(int size)
- void addStretch(int stretch)
- void addStrut(int arg__1)
- void addWidget(QWidget arg__1, int stretch, Alignment alignment)
- Direction direction()
- void insertLayout(int index, QLayout layout, int stretch)
- void insertSpacerItem(int index, QSpacerItem spacerItem)
- void insertSpacing(int index, int size)
- void insertStretch(int index, int stretch)
- void insertWidget(int index, QWidget widget, int stretch, Alignment alignment)
- void setDirection(Direction arg__1)
- void setSpacing(int spacing)
- void setStretch(int index, int stretch)
- bool setStretchFactor(QLayout l, int stretch)
- int spacing()
- int stretch(int index)

### Instance Properties

QBoxLayout objects have no special properties beyond those inherited from the QBoxLayout prototype object.